<p>title: Memahami Fungsi
description:</p>
<hr />
<p>Seringkali kita harus melakukan serangkaian operasi yang sama di banyak tempat, seperti menghitung rumus, mencetak suatu template, dan lain sebagainya. Akan sangat merepotkan bila kita harus menulis kode yang sama di banyak tempat. Bayangkan bila kita harus memperbaharui operasi tersebut, maka kita harus mengubah di banyak tempat. Permasalahan ini dapat diselesaikan salah satunya menggunakan fungsi (function).</p>
<p>Fungsi adalah blok kode yang dapat dipanggil berulang pada program. Sejak lesson awal sebenarnya Kamu sudah menggunakan fungsi, diantaranya adalah <code>print_r()</code>, <code>var_dump()</code>, <code>array()</code> <code>define()</code>, <code>isset()</code>, <code>strtoupper()</code>, dan <code>count()</code>.</p>
<p>Sebagai contoh fungsi <code>count()</code> digunakan untuk menghitung banyaknya elemen di dalam array. Kita sebenarnya dapat menulis sendiri kode untuk menghitung jumlah elemen array menggunakan <code>foreach</code>, tapi dengan adanya fungsi <code>count()</code> kita dapat melakukan hal tersebut lebih cepat dan mudah.</p>
<h2>Praktek</h2>
<ul>
<li>Pada editor di baris ke-4 terdapat pemanggilan sebuah fungsi <code>str_replace()</code>. Dilihat dari nama fungsinya, dapatkah Kamu menebak apa yang dilakukan oleh fungsi tersebut?</li>
<li>Jalankan program dan amati output fungsi tersebut. Apakah sekarang Kamu sudah tau apa yang dilakukan fungsi tersebut?</li>
<li>Agar lebih yakin, buka Google dan cari dengan kata kunci <strong>&quot;str_replace&quot;</strong>. Umumnya akan muncul halaman manual php.net dan halaman dari w3schools. Buka salah satu halaman dan lihat penjelasan tentang kegunaan fungsi tersebut.</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/fungsi-memahamifungsi"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>